lib_LTLIBRARIES = libecryptfs.la

libecryptfs_la_LDFLAGS = -ldl
libecryptfs_la_SOURCES = main.c cipher_list.c netlink.c pki_list.c netlink_packets.c sysfs.c key_management.c decision_graph.c cmd_ln_parser.c module_mgr.c ../pki/ecryptfs_pki_passphrase.c

install-data-local:
	rm -f $(DESTDIR)/$(libdir)/libecryptfs.*a

splint:
	splint -warnposix -preproc -unrecog -predboolint -boolops +matchanyintegral *.c